InLogicOperatorNode (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Class InLogicOperatorNode

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.internal.ast.tree.Node
                  org.hibernate.hql.internal.ast.tree.SqlNode
                      org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
                          org.hibernate.hql.internal.ast.tree.BinaryLogicOperatorNode
                              org.hibernate.hql.internal.ast.tree.InLogicOperatorNode

All Implemented Interfaces:
  antlr.collections.AST, Serializable, BinaryOperatorNode, InitializeableNode, OperatorNode

    public class InLogicOperatorNode

extends BinaryLogicOperatorNode
implements BinaryOperatorNode

See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`InLogicOperatorNode()`

Method Summary
`Node` | `getInList()`
`void` | `initialize()` Performs the operator node initialization by seeking out any parameter nodes and setting their expected type, if possible.

Methods inherited from class org.hibernate.hql.internal.ast.tree.BinaryLogicOperatorNode
`extractDataType, extractMutationTexts, getDataType, getLeftHandOperand, getRightHandOperand, mutateRowValueConstructorSyntaxesIfNecessary, translate`

Methods inherited from class org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
`getAliasGenerator, getASTFactory, getSessionFactoryHelper, getWalker, initialize`

Methods inherited from class org.hibernate.hql.internal.ast.tree.SqlNode
`getOriginalText, setDataType, setText`

Methods inherited from class org.hibernate.hql.internal.ast.tree.Node
`getColumn, getFilename, getLine, getRenderText, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.hql.internal.ast.tree.BinaryOperatorNode
`getLeftHandOperand, getRightHandOperand`

Methods inherited from interface org.hibernate.hql.internal.ast.tree.OperatorNode
`getDataType`

Constructor Detail

### InLogicOperatorNode

    public InLogicOperatorNode()

Method Detail

### getInList

    public Node getInList()

### initialize

    public void initialize()
                    throws antlr.SemanticException

  Description copied from class: `BinaryLogicOperatorNode`
  Performs the operator node initialization by seeking out any parameter nodes and setting their expected type, if possible.

  Specified by:
    `initialize` in interface `OperatorNode`
  Overrides:
    `initialize` in class `BinaryLogicOperatorNode`
  Throws:
    `antlr.SemanticException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.